'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var fs = require('fs');
var path = _interopDefault(require('path'));

function localResolver() {
  return {
    resolveId: function (importee, importer) {
      if (importee.indexOf('./') === -1) {
        return null;
      }

      if (!importer) {
        return null;
      }

      var basename = path.basename(importer);
      var directory = importer.split(basename)[0];

      var dirIndexFile = path.join(directory + importee, 'index.js');

      // TODO: This should be asynchronous
      var stats = fs.statSync(dirIndexFile);

      if (stats.isFile()) {
        return dirIndexFile;
      }

      return null;
    }
  };
}

module.exports = localResolver;